Page MenuHomePhabricator

Add namespace "Aldono" at EO wiktionary
Closed, ResolvedPublic

Description

We would like to have a new namespace called "Aldono" (EN: Appendix) at EO wiktionary. Such a namespace already exists at many wiktionaries.

The proposal has been discussed here https://eo.wiktionary.org/wiki/Vikivortaro:Diskutejo#PROPONO:_kreu_nomspacon_%22Aldono%22 during 25 days. There are 3 "agree" votes from other users. The activity at that wiki is low.

Namespace "Aldono" (preferably at index 102, alternatively other) and the associated namespace "Aldono-Diskuto".

Thank you.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd namespace "Aldono" at eo.wiktionary

Event Timeline

Taylor created this task.Apr 21 2019, 5:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2019, 5:09 PM
Tulsi_Bhagat triaged this task as Medium priority.
Tulsi_Bhagat moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

Change 505765 had a related patch set uploaded (by Tulsi Bhagat; owner: Tulsi Bhagat):
[operations/mediawiki-config@master] Add namespace "Aldono" at eo.wiktionary

https://gerrit.wikimedia.org/r/505765

Sorry for a minor comment: instead of "103 => 'Aldono_diskuto'" it should be "103 => 'Aldono-Diskuto'" (dash and uppercase "D") consistent with for example "Modulo-Diskuto" (not with "Uzanta_diskuto").

There is no need for being sorry for commenting the changes. It's more than welcomed. I've added a negative code review to the change Tulsi left, to make the deployer notice something's wrong if this will be scheduled and not fixed. And by the way, incorrect namespace names aren't "minor comments" :-). Most of us don't speak your language, so please do let us know when you spot mistakes like this!

The reason is that "Aldono" and "Modulo" are substantives whereas "Uzanta" is an adjective.

Tulsi_Bhagat added a comment.EditedApr 27 2019, 3:52 AM

Sorry for a minor comment: instead of "103 => 'Aldono_diskuto'" it should be "103 => 'Aldono-Diskuto'" (dash and uppercase "D") consistent with for example "Modulo-Diskuto" (not with "Uzanta_diskuto").

@Taylor, Thank you so much for letting us know! I've made the changes accordingly, please review it.

There is no need for being sorry for commenting the changes. It's more than welcomed. I've added a negative code review to the change Tulsi left, to make the deployer notice something's wrong if this will be scheduled and not fixed. And by the way, incorrect namespace names aren't "minor comments" :-). Most of us don't speak your language, so please do let us know when you spot mistakes like this!

Yes! Absolutely. I do agree with him. :)

Requires mwmaintenancescript namespaceDupes.php --wiki=eowiktionary --fix after deployment.

Scheduled to be deployed during European Mid-day SWAT on Monday, April 29; 11:00 – 12:00 (UTC).

Change 505765 merged by KartikMistry:
[operations/mediawiki-config@master] Add namespace "Aldono" at eo.wiktionary

https://gerrit.wikimedia.org/r/505765

Mentioned in SAL (#wikimedia-operations) [2019-04-29T11:30:03Z] <kartik@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit|505765|Add namespace "Aldono" at eo.wiktionary (T221525)]] (duration: 00m 54s)

Script output. Let me know if this looks good:

mwmaint1002:~$ mwscript namespaceDupes.php --wiki=eowiktionary --fix
0 pages to fix, 0 were resolvable.

0 links to fix, 0 were resolvable.

Looks good!
Tulsi_Bhagat closed this task as Resolved.Apr 29 2019, 11:43 AM
Taylor added a comment.May 1 2019, 8:18 AM

Works, thanks.